*** Settings ***
Resource          NFVMANOPMKeywords.robot


*** Test Cases ***   
Performance Information Available Notification
    [Documentation]    Test ID: 8.3.2.10.1
    ...    Test title: Performance Information Available Notification
    ...    Test objective: The objective is to test that Performance Available Notification is delivered with success to the notification consumer
    ...    Pre-conditions: A subscription for performance available notification is available in the NFV-MANO.
    ...    Reference: clause 6.5.10.3.1 - ETSI GS NFV-SOL 009 [7] v3.6.1
    ...    Config ID: Config_prod_Notif_Endpoint
    ...    Applicability: none
    ...    Post-Conditions: none 
    Check PM Job resource existence and get CallbackUri
    POST Performance Information Available Notification
    Check HTTP Response Status Code Is    204
    
Threshold Crossed Notification
    [Documentation]    Test ID: 8.3.2.10.2
    ...    Test title: Threshold Crossed Notification
    ...    Test objective: The objective is to test that Threshold Crossed Notification is delivered with success to the notification consumer
    ...    Pre-conditions: A subscription for threshold crosssed notification is available in the NFV-MANO.
    ...    Reference: clause 6.5.10.3.1 - ETSI GS NFV-SOL 009 [7] v3.6.1
    ...    Config ID: Config_prod_Notif_Endpoint
    ...    Applicability: none
    ...    Post-Conditions: none 
    Check Threshold resource existence and get CallbackUri
    POST Threshold Crossed Notification
    Check HTTP Response Status Code Is    204
